Vulnerability Name:

CVE-2016-9576

Assigned:2016-11-25
Published:2016-11-25
Updated:2018-01-04
Summary:The blk_rq_map_user_iov function in block/blk-map.c in the Linux kernel before 4.8.14 does not properly restrict the type of iterator, which allows local users to read or write to arbitrary kernel memory locations or cause a denial of service (use-after-free) by leveraging access to a /dev/sg device.
CVSS v3 Severity:7.8 High (CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
6.8 Medium (Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
7.8 High (CCN CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H)
6.8 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): Low
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
7.0 High (REDHAT CVSS v3 Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H)
6.1 Medium (REDHAT Temporal CVSS v3 Vector: CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H/E:U/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Local
Attack Complexity (AC): High
Privileges Required (PR): Low
User Interaction (UI): None
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
CVSS v2 Severity:7.2 High (CVSS v2 Vector: AV:L/AC:L/Au:N/C:C/I:C/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Authentication (Au): None
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
6.8 Medium (CCN CVSS v2 Vector: AV:L/AC:L/Au:S/C:C/I:C/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): Low
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
6.2 Medium (REDHAT CVSS v2 Vector: AV:L/AC:H/Au:N/C:C/I:C/A:C)
Exploitability Metrics:Access Vector (AV): Local
Access Complexity (AC): High
Authentication (Au): None
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
Vulnerability Type:CWE-416
References:Source: CONFIRM
Type: VENDOR_ADVISORY
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=a0ac402cfcdc904f9772e1762b3fda112dcc56a0

Source: SUSE
Type: UNKNOWN
openSUSE-SU-2016:3085

Source: SUSE
Type: UNKNOWN
openSUSE-SU-2016:3086

Source: SUSE
Type: UNKNOWN
openSUSE-SU-2016:3118

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3146

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3188

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3203

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3217

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3248

Source: SUSE
Type: UNKNOWN
SUSE-SU-2016:3252

Source: REDHAT
Type: UNKNOWN
RHSA-2017:0817

Source: CONFIRM
Type: UNKNOWN
http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.14

Source: MLIST
Type: PATCH
[oss-security] 20161209 Linux Kernel use-after-free in SCSI generic device interface

Source: BID
Type: UNKNOWN
94821

Source: REDHAT
Type: UNKNOWN
RHSA-2017:1842

Source: REDHAT
Type: UNKNOWN
RHSA-2017:2077

Source: REDHAT
Type: UNKNOWN
RHSA-2017:2669

Source: CONFIRM
Type: UNKNOWN
https://bugzilla.redhat.com/show_bug.cgi?id=1403145

Source: XF
Type: UNKNOWN
linux-kernel-cve20169576-dos(120245)

Source: CONFIRM
Type: VENDOR_ADVISORY
https://github.com/torvalds/linux/commit/a0ac402cfcdc904f9772e1762b3fda112dcc56a0

Vulnerable Configuration:Configuration 1:
  • cpe:/o:linux:linux_kernel:4.8.13:*:*:*:*:*:*:*

  • Configuration RedHat 1:
  • cpe:/o:redhat:enterprise_linux:6:*:*:*:*:*:*:*

  • Configuration RedHat 2:
  • cpe:/o:redhat:enterprise_linux:7:*:*:*:*:*:*:*

  • Configuration RedHat 3:
  • cpe:/a:redhat:rhel_extras_rt:7:*:*:*:*:*:*:*

  • Configuration CCN 1:
  • cpe:/o:linux:linux_kernel:4.8.13:*:*:*:*:*:*:*
  • AND
  • cpe:/a:ibm:powerkvm:3.1:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_desktop:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_server:6.0:*:*:*:*:*:*:*
  • OR cpe:/o:redhat:enterprise_linux_workstation:6.0:*:*:*:*:*:*:*
  • OR cpe:/a:ibm:qradar_network_security:5.4:*:*:*:*:*:*:*

  • * Denotes that component is vulnerable
    Oval Definitions
    Definition IDClassTitleLast Modified
    oval:org.opensuse.security:def:20169576
    V
    CVE-2016-9576
    2018-09-18
    oval:com.redhat.rhsa:def:20171842
    P
    RHSA-2017:1842: kernel security, bug fix, and enhancement update (Important)
    2017-08-01
    oval:com.redhat.rhsa:def:20172077
    P
    RHSA-2017:2077: kernel-rt security, bug fix, and enhancement update (Important)
    2017-08-01
    oval:com.redhat.rhsa:def:20170817
    P
    RHSA-2017:0817: kernel security, bug fix, and enhancement update (Moderate)
    2017-03-21
    oval:com.ubuntu.artful:def:20169576000
    V
    CVE-2016-9576 on Ubuntu 17.10 (artful) - low.
    2016-12-28
    oval:com.ubuntu.trusty:def:20169576000
    V
    CVE-2016-9576 on Ubuntu 14.04 LTS (trusty) - low.
    2016-12-28
    oval:com.ubuntu.bionic:def:20169576000
    V
    CVE-2016-9576 on Ubuntu 18.04 LTS (bionic) - low.
    2016-12-28
    oval:com.ubuntu.xenial:def:20169576000
    V
    CVE-2016-9576 on Ubuntu 16.04 LTS (xenial) - low.
    2016-12-28
    oval:com.ubuntu.precise:def:20169576000
    V
    CVE-2016-9576 on Ubuntu 12.04 LTS (precise) - low.
    2016-12-28
    BACK
    linux linux kernel 4.8.13
    linux linux kernel 4.8.13
    ibm powerkvm 3.1
    redhat enterprise linux desktop 6.0
    redhat enterprise linux server 6.0
    redhat enterprise linux workstation 6.0
    ibm qradar network security 5.4